Bug 739043 - liveinst reboots live system without telling or asking for permission
Summary: liveinst reboots live system without telling or asking for permission
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 740824 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 11:52 UTC by Mads Kiilerich
Modified: 2013-02-14 02:48 UTC (History)
4 users (show)

Fixed In Version: anaconda-16.19-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:48:49 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-16 11:52:25 UTC
I tried to install anaconda and run liveinst from a custom live image.

liveinst failed, I clicked debug, and perhaps another innocent-looking confirmation ... and then the machine rebooted. What made it extra "funny" was that it crashed because of problems installing the boot loader.

I would expect that liveinst from a live media _never_ rebooted the system ... at least not without explicit permission. (Anaconda running from an installer media might be a different story.)

anaconda-16.18-1.fc16

Comment 1 Mads Kiilerich 2011-09-16 12:52:37 UTC
That was after "An unhandled exception has occured" that led to bug 735730#c30 .

(Btw: quite confusing that "report" is hidden behind "save".)

I'm quite sure it rebooted when I clicked "Exit" - but I can't reproduce it.

Comment 2 Martin Gracik 2011-09-23 14:01:41 UTC
*** Bug 740824 has been marked as a duplicate of this bug. ***

Comment 3 Martin Gracik 2011-09-23 14:11:11 UTC
This should be fixed by commit e88a00f1d1fbfffe1af87a568df2d0cd2349352e

Comment 4 Fedora End Of Life 2013-01-17 01:31:33 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-14 02:48:52 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.